include $(BASE_DIR)/std_settings.make

BINARY := $(RESULT_DIR)/$(TARGETNAME)

OBJ_DIR := $(OBJ_DIR)/$(TARGETNAME)
OBJECTS := $(patsubst %.cpp, $(OBJ_DIR)/%.o, $(SOURCES))

FW_LIB := $(AR_DIR)/$(FRAMEWORK_LIB)

# workaround cyclic dependencies
LIBS := $(DRIVER_LIBS)

################################################################
.SUFFIXES:
.SUFFIXES: .o .cpp .s

.PHONY: all clean addition additionclean

all: install $(BINARY) addition 
	
$(OBJ_DIR)/%.o: %.cpp
	$(CXX) $(CFLAGS) $< -o $@

$(BINARY): $(OBJECTS) $(LIBS)
	$(LD) $(LFLAGS) -o $@ $(OBJECTS) $(LIBS)	

install:
	@for i in $(OBJECTS) ; do mkdir -p `dirname $$i` ; done
	mkdir -p `dirname $(BINARY)`


clean: additionclean
	rm -rf $(OBJECTS) $(BINARY)
