###############################################################################
# directories
BUILD_DIR := $(BASE_DIR)/build
OBJ_DIR := $(BUILD_DIR)/obj
AR_DIR := $(BUILD_DIR)/ar
RESULT_DIR := $(BASE_DIR)/out
###############################################################################
# compiler options
ARCH := $(shell getconf LONG_BIT)

INCLUDES += -I$(BASE_DIR)
DEFINES += -Dunix -Dlinux -Dlinux$(ARCH) -D_LINUX -D_PPF -D_LIB_BUILD -DHAVE_UNISTD_H 
CFLAGS += -m$(ARCH) -c -O2 -pthread -Wreturn-type $(DEFINES) $(INCLUDES)
CXX := g++

###############################################################################
# linker options
LD := $(CXX)
LFLAGS += -m$(ARCH) -lrt -lpthread


FRAMEWORK_LIB = framework.a
